%ifarch ppc ppc64
%define __arch		ppc
%else
%define __arch		x86_64
%endif
%define __clhepversion  2.4.1.3
%define __xercescversion  3.2.2

Summary: Geant4
Name: geant4
Version: 10.06
Release: 10.14%{?dist}1a
Source0: localhost:/%{name}.%{version}.tar.gz
Patch0: localhost:/geant4.10.02-macosx10.11.patch
URL: http://wwwasd.web.cern.ch/wwwasd/geant4/geant4.html
Group: Development/Libraries
License: GEANT4 collaboration
BuildRoot: %{_tmppath}/%{name}-root
Requires: clhep >= %{__clhepversion}
BuildRequires: clhep = %{__clhepversion}

%description
Geant4 is a toolkit for the simulation of the passage of particles through matter.
Its application areas include high energy physics and nuclear experiments, medical, 
accelerator and space physics studies.

Reference paper for Geant4: "GEANT4: A Simulation Toolkit", by the Geant4 Collaboration 
(S. Agostinelli et al), published in Nuclear Instruments and Methods in Physics Research, 
NIM A 506 (2003), 250-303.

%package -n geant4-src
Summary: Geant4 source files
Group: Development/Libraries

%description -n geant4-src
geant4 source files


%prep
%setup -n %{name}.%{version} -q
#%patch0 -p1 -b .osx

rm -rf $RPM_BUILD_ROOT


%build
mkdir build
cd build
export PATH=$PATH:/opt/clhep/%{__clhepverson}/bin
cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_INSTALL_PREFIX=/opt/g4/%{version} -DCLHEP_ROOT_DIR=/opt/clhep/%{__clhepversion} -DGEANT4_USE_OPENGL_X11=ON -DOPENGL_INCLUDE_DIR=/opt/X11/include -DGEANT4_INSTALL_DATA=ON -DXERCESC_ROOT_DIR=/opt/xercesc/%{__xercescversion} -DGEANT4_USE_GDML=ON -DFREETYPE_INCLUDE_DIR=/opt/X11/include -DFREETYPE_LIBRARY=/opt/X11/lib/libfreetype.dylib ..
make %{?_smp_mflags}


%install
cd build
make %{?_smp_mflags} install DESTDIR=$RPM_BUILD_ROOT
cd ..
tar -zcf - source | tar -zxf - -C $RPM_BUILD_ROOT/opt/g4/%{version}
(cd $RPM_BUILD_ROOT/opt/g4/%{version}
 ln -s share/*/geant4make/config .
)


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,wheel)
%dir /opt/g4/%{version}
/opt/g4/%{version}/bin
/opt/g4/%{version}/include
/opt/g4/%{version}/lib
/opt/g4/%{version}/share
/opt/g4/%{version}/config

%files -n geant4-src
/opt/g4/%{version}/source


%changelog
* Sun Dec 29 2019 Keisuke Fujii <keisuke.fujii@kek.jp> 10.6-10.14hepx1a
- 1st release of version 10.6 for MacOS X 10.14
- now with xerces-c version 3.2.2 and clhep 2.4.1.3.
- removed config patch.
- built with OSXWS 10.14

* Thu Dec 19 2019 Keisuke Fujii <keisuke.fujii@kek.jp> 10.4-10.14hepx2b
- 2nd release of version 10.4 for MacOS X 10.14
- now with xerces-c version 3.2.2.
- built with OSXWS 10.14

* Tue Dec 25 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 10.4-10.14hepx2a
- 1st release of version 10.4 for MacOS X 10.14
- built with OSXWS 10.13

* Sat Apr 07 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 10.4-10.13hepx2a
- 3rd release of version 10.4 for MacOS X 10.13
- rebuilt with xerces-c-3.2.1 installed under /opt/xercesc

* Sat Apr 07 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 10.4-10.13hepx1b
- 2nd release of version 10.4 for MacOS X 10.13
- rebuilt with xerces-c-3.2.1 OSXWS 10.13

* Tue Apr 03 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 10.4-10.13hepx1a
- 1st release of version 10.4 for MacOS X 10.13
- built with OSXWS 10.13

* Mon Dec 26 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 10.03-10.12hepx1b
- 2nd release of version 10.03 for MacOS X 10.12
- built with OSXWS 10.12

* Tue Dec 20 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 10.03-10.12hepx1a
- 1st release of version 10.03 for MacOS X 10.12
- built with OSXWS 10.11

* Fri Dec 16 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 10.03-10.11hepx1a
- 1st release of version 10.03 for MacOS X 10.11

* Tue Feb 16 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 10.02-10.11hepx1a
- 1st release of version 10.02 for MacOS X 10.11

* Tue Feb 09 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 9.6.p02-10.11hepx2a
- 1st release of version 9.6.p02 for MacOS X 10.11

* Wed Dec 24 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 9.6.p02-10.10hepx2a
- 1st release of version 9.6.p02 for MacOS X 10.10

* Wed Aug 06 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 9.6.p02-10.9hepx2d
- 4th release of version 9.6.p02 for MacOS X 10.9
- Now installed as /opt/g4/%{version}

* Mon Dec 16 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 9.6.p02-10.9hepx2c
- 3rd release of version 9.6.p02 for MacOS X 10.9
- added a symlink to "config"

* Sun Dec 15 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 9.6.p02-10.9hepx2a
- 2nd release of version 9.6.p02 for MacOS X 10.9
- now automatically builds itself.

* Fri Nov 29 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 9.6.p02-10.9hepx1a
- 1st release for MacOS X 10.9

* Wed Oct 31 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 9.5.p02-10.7hepx1a
- 1st release for MacOS X 10.7

* Thu May 03 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 9.5.p01-10.7hepx1b
- 2nd release on MacOS X 10.7 for Intel Macs.
- removed -arch_multiple from LDFLAGS in Darwin-g++.

* Wed May 02 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 9.5.p01-10.7hepx1a
- 1st release on MacOS X 10.7 for Intel Macs.

* Thu Dec 22 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 9.5-10.6hepx1a
- 1st release on MacOS X 10.6 for Intel Macs.
- Compiled with gcc4.5.1 and with g++-32 and with libstdc++.dylib

* Sun Sep 25 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 9.4.p02-10.6hepx1a
- 1st release on MacOS X 10.6 for Intel Macs.
- Compiled with gcc4.5.1 and with g++-32 and with libstdc++.dylib

* Wed Mar 2 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 9.4.p01-10.6hepx1a
- 1st release on MacOS X 10.6 for Intel Macs.
- Compiled with gcc4.5.1 and with g++-32 and with libstdc++.dylib

* Fri Jan 28 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 9.4-10.6hepx1b
- 2nd release on MacOS X 10.6 for Intel Macs.
- Compiled with gcc4.5.1 and with g++-32 and with libstdc++.dylib

* Wed Jan 26 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 9.4-10.6hepx1a
- 1st release on MacOS X 10.6 for Intel Macs.
- Compiled with gcc4.5.1 and with -m32 and with libstdc++.dylib

* Sun Nov 14 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 9.3.p02-10.6hepx1b
- 2nd release on MacOS X 10.6 for Intel Macs.
- Compiled with gcc4.5.1 and with -m32
- rebuild

* Fri Oct 01 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 9.3.p02-10.6hepx1a
- 1st release on MacOS X 10.6 for Intel Macs.
- Compiled with gcc4.5.1 and with -m32

* Sun May 09 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 9.3.p01-10.6hepx1a
- 1st release on MacOS X 10.6 for Intel Macs.
- Compiled with -m32

* Tue Mar 09 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 9.3-10.6hepx1c
- 3rd release on MacOS X 10.6 for Intel Macs.
- Added env.sh and env.csh

* Mon Mar 08 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 9.3-10.6hepx1b
- 2nd release on MacOS X 10.6 for Intel Macs.
- Now compiled with -m32

* Mon Mar 08 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 9.3-10.6hepx1a
- 1st release on MacOS X 10.6 for Intel Macs.

* Fri Jan 16 2009 Keisuke Fujii <keisuke.fujii@kek.jp> 9.2-10.5hepx1a
- 1st release on MacOS X 10.5 for Intel Macs.

* Tue Sep 23 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 9.1.p03-10.5hepx1a
- 1st release on MacOS X 10.5 for Intel Macs.

* Thu Jul 3 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 9.1.p02-10.5hepx1a
- 1st release on MacOS X 10.5 for Intel Macs.

* Thu Mar 27 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 9.1.p01-10.5hepx1b
- 1st release on MacOS X 10.5 for PPC Macs.

* Wed Mar 26 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 9.1.p01-10.5hepx1a
- 1st release on MacOS X 10.5 for Intel Macs.

* Sun Sep 30 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 9.0.p01-1a
- 1st release on MacOS X 10.4 for Intel Macs.
